[arch-commits] Commit in python-isort/repos (staging-any staging-any/PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sat May 16 10:31:44 UTC 2020


    Date: Saturday, May 16, 2020 @ 10:31:43
  Author: felixonmars
Revision: 384148

archrelease: copy trunk to staging-any

Added:
  python-isort/repos/staging-any/
  python-isort/repos/staging-any/PKGBUILD
    (from rev 384147, python-isort/trunk/PKGBUILD)

----------+
 PKGBUILD |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Copied: python-isort/repos/staging-any/PKGBUILD (from rev 384147, python-isort/trunk/PKGBUILD)
===================================================================
--- staging-any/PKGBUILD	                        (rev 0)
+++ staging-any/PKGBUILD	2020-05-16 10:31:43 UTC (rev 384148)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Yaron de Leeuw <me at jarondl.net>
+
+pkgname=python-isort
+pkgver=4.3.21.2
+_tag=4.3.21-2
+pkgrel=4
+pkgdesc="A Python utility / library to sort Python imports."
+arch=('any')
+url="https://github.com/timothycrosley/isort"
+license=('MIT')
+depends=('python-setuptools')
+checkdepends=('python-pytest' 'python-mock' 'python-pip' 'python-pip-api' 'pylama' 'python-pipreqs'
+              'python-requirementslib')
+source=("$pkgname-$_tag.tar.gz::https://github.com/timothycrosley/isort/archive/$_tag.tar.gz")
+sha512sums=('fc2aa00c87196864864d2516b8be7acdedcf40d71d1931510e4b878dbd2b6da0b579661b50221f03f4aa5560c8bf23d5e1e10a2694d2b741ca09a92e40a4c687')
+
+build() {
+  cd isort-$_tag
+  python setup.py build
+}
+
+check() {
+  cd isort-$_tag
+  python setup.py install --root="$PWD/tmp_install" --optimize=1
+  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.8/site-packages" PATH="$PWD/tmp_install/usr/bin:$PATH" pytest || warning "Tests failed"
+}
+
+package() {
+  cd isort-$_tag
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list